update failure

2008-12-20 01:59 - Jonathan Hall

Status: Closed Start date: 2008-12-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

ee ee:\RedMine>ruby script/server -e production

=> Booting WEBrick...

=> Rails 2.1.2 application started on http://0.0.0.0:3000

=> Ctrl-C to shutdown server; call with --help for options

[2008-12-20 11:55:39] INFO  WEBrick 1.3.1

[2008-12-20 11:55:39] INFO  ruby 1.8.6 (2007-09-24) [i386-mswin32]

[2008-12-20 11:55:39] WARN  TCPServer Error: Permission denied - bind(2)

E:/Ruby/lib/ruby/1.8/webrick/utils.rb:73:in `initialize': Permission denied - bind(2) (Errno::EACCES)

from E:/Ruby/lib/ruby/1.8/webrick/utils.rb:73:in `new'

from E:/Ruby/lib/ruby/1.8/webrick/utils.rb:73:in `create_listeners'

from E:/Ruby/lib/ruby/1.8/webrick/utils.rb:70:in `each'

from E:/Ruby/lib/ruby/1.8/webrick/utils.rb:70:in `create_listeners'

from E:/Ruby/lib/ruby/1.8/webrick/server.rb:75:in `listen'

from E:/Ruby/lib/ruby/1.8/webrick/server.rb:63:in `initialize'

from E:/Ruby/lib/ruby/1.8/webrick/httpserver.rb:24:in `initialize'

from E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/webrick_server.rb:58:in `new'

... 7 levels...

from E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/commands/server.rb:39

from E:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

from E:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

from script/server:3

E:\RedMine>@

Anyone recongnise this?

Tried updating first ... then pulled a the latest svn to a new folder and re-isntalled all the software (ruby, gems etc)

Cgeers

History

#1 - 2008-12-20 08:39 - Bernd Lommerzheim

Hey Jonathan Hall,

that's not a update problem.

The WEBrick server tries to bind tcp port 3000 and fails with a "permission denied" error. Maybe your current user is not allowed to bind that port or

ports in general. Or maybe the port is in use by an other application but then there should be an other error (port is in use). You have to find out why

your current user can not get that port. You can try to start the server on an other port (e.g. "-p 5000").

[2008-12-20 11:55:39] WARN TCPServer Error: Permission denied - bind(2)

E:/Ruby/lib/ruby/1.8/webrick/utils.rb:73:in `initialize': Permission denied - bind(2) (Errno::EACCES)

 Good luck.

#2 - 2008-12-20 11:04 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid
